﻿@page "/counter"

<Heading Size="HeadingSize.Is1">Counter</Heading>
<Paragraph>Current count: @currentCount</Paragraph>

<Button Class="btn btn-primary" @onclick="IncrementCount">Click me</Button>

@code {
    private int currentCount = 0;

    private void IncrementCount() =>
        currentCount++;

}